import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import statistics from '@common/src/store/statistics';
import upload from './upload';
import news from '@common/src/store/news';
import column from '@common/src/store/column';
import viewPoint from '@common/src/store/viewPoint';
import dimension from '@common/src/store/dimension';
import patentnav from '@common/src/store/patentnav';
import questionnaire from '@common/src/store/question/questionnaire';
import answer from '@common/src/store/question/answer';
import question from '@common/src/store/question';
import projectsolic from '@common/src/store/projectsolic';
import organization from '@common/src/store/organization';
import personal from '@common/src/store/personal';
import expert from '@common/src/store/expert';
import product from '@common/src/store/product';
import patent from '@common/src/store/patent';
import disclosure from '@common/src/store/patent/disclosure';
import report from '@common/src/store/patent/report';
import notice from '@common/src/store/patent/notice';
import sell from '@common/src/store/patent/sell';
import purchase from '@common/src/store/patent/purchase';
import tradeorder from '@common/src/store/patent/tradeorder';
// 直播平台
import mechanism from './live/mechanism';
import coupons from './live/coupons';
import couponsApply from './live/couponsApply';
import declare from './live/declare';
import cashing from './live/cashing';
import reward from './live/reward';
// 成果评价
import achieveApply from '@common/src/store/achieve/achieve_apply.js';

// 管理员
import adminLogin from '@common/src/store/adminLogin';
// 邀请码
import inviteCode from '@common/src/store/inviteCode';
// 2021-08-21
// 聊天
import patentchat from '@common/src/store/patent/patentchat';
// 审核通知
import patentexamine from '@common/src/store/patent/patentexamine';
// 通知
import patentnotice from '@common/src/store/patent/patentnotice';
// 专利申请
import patentapply from '@common/src/store/patent/patentapply';
// 专利申请预警表
import patentwarning from '@common/src/store/patent/patentwarning';
// 查新检索
import patentanalysis from '@common/src/store/patent/patentanalysis';
// 价值评估
import patentassess from '@common/src/store/patent/patentassess';
// 专利信息
import patentinfo from '@common/src/store/patent/patentinfo';
// 已授权专利预警表
import patentearly from '@common/src/store/patent/patentearly';
// 专利需求
import patenttechol from '@common/src/store/patent/patenttechol';
// 专利维权
import patentsafeg from '@common/src/store/patent/patentsafeg';

// 专利交易
import patenttrans from '@common/src/store/patent/patenttrans';
import mission from '@common/src/store/mission';
const _ = require('lodash');

Vue.use(Vuex);

export default new Vuex.Store({
  state: {
    ...ustate,
  },
  mutations: {
    ...umutations,
  },
  actions: {},
  modules: {
    statistics,
    upload,
    column,
    news,
    viewPoint,
    dimension,
    patentnav,
    questionnaire,
    answer,
    question,
    projectsolic,
    organization,
    personal,
    expert,
    product,
    patent,
    // 直播平台
    mechanism,
    coupons,
    couponsApply,
    declare,
    cashing,
    reward,
    // 成果评价
    achieveApply,
    // 交底书
    disclosure,
    report,
    notice,
    // 管理员
    adminLogin,
    inviteCode,
    // 专利交易
    sell,
    purchase,
    tradeorder,
    // 专利运营
    patentchat,
    patentexamine,
    patentnotice,
    patentapply,
    patentwarning,
    patentanalysis,
    patentassess,
    patentinfo,
    patentearly,
    patenttrans,
    mission,
    patenttechol,
    patentsafeg,
  },
});
