const path = require('path');
const common = path.resolve(__dirname, '../common');
const frame = path.resolve(__dirname, '../frame');
module.exports = {
  publicPath: `/${process.env.VUE_APP_ROUTER}`,
  outputDir: 'jlstpatent',
  productionSourceMap: false,
  configureWebpack: (config) => {
    Object.assign(config, {
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@common': common,
          '@frame': frame,
        },
      },
    });
  },
  devServer: {
    port: '8001',
    proxy: {
      '/files': {
        target: 'http://broadcast.kqyjy.com',
      },
      '/api/mission': {
        target: 'http://broadcast.kqyjy.com',
        changeOrigin: true,
        ws: false,
      },
      '/api/question': {
        target: 'http://broadcast.kqyjy.com', //http://192.168.1.19:9101
        changeOrigin: true,
        ws: false,
      },
      '/api/achieve': {
        target: 'http://broadcast.kqyjy.com', //http://192.168.1.19:9101
        changeOrigin: true,
        ws: false,
      },
      '/api/live': {
        target: 'http://broadcast.kqyjy.com', //http://192.168.1.19:9200
        changeOrigin: true,
        ws: false,
      },
    },
  },
};
